package com.syntevo.plugin.quickupdate;

import com.syntevo.openapi.smartsvn.command.update.*;
import com.syntevo.openapi.smartsvn.settings.*;

/**
 * @author syntevo GmbH
 */
final class QuickUpdateWorkflowFactory implements IUpdateWorkflowFactory {

	// Fields =================================================================

	private final SettingsProvider settingsProvider;

	// Setup ==================================================================

	public QuickUpdateWorkflowFactory(SettingsProvider settingsProvider) {
		this.settingsProvider = settingsProvider;
	}

	// Implemented ============================================================

	public IUpdateWorkflow createWorkflow(IUpdateWorkflow baseWorkflow, UpdateWorkflowServices services) {
		return new QuickUpdateWorkflow(baseWorkflow, settingsProvider);
	}
}
